classification
Title: [DOC] Sphinx 2.0 will require master_doc variable set in conf.py
Type: Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, jfbu, mdk, ned.deily
Priority: normal Keywords: patch

Created on 2018-12-22 21:29 by jfbu, last changed 2019-03-20 15:41 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11290 merged jfbu, 2018-12-23 11:57
PR 12460 merged mdk, 2019-03-20 07:40
PR 12461 merged mdk, 2019-03-20 07:43
PR 12462 merged mdk, 2019-03-20 07:44
Messages (7)
msg332371 - (view) Author: jfbu (jfbu) * Date: 2018-12-22 21:29
When building CPython doc with master branch of dev repo of Sphinx (future Sphinx 2.0) one gets this warning:

WARNING: Since v2.0, Sphinx uses "index" as master_doc by default. Please add "master_doc = 'contents'" to your conf.py.

Fix will be to do as Sphinx says :)
msg332387 - (view) Author: jfbu (jfbu) * Date: 2018-12-23 11:51
GitHub PR #11290 has been merged into master
msg332388 - (view) Author: jfbu (jfbu) * Date: 2018-12-23 11:57
sorry for previous message whose text mentioned the GitHub pull request number but this links to bpo issue of that number, of course completely unrelated
msg332461 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-12-24 14:57
New changeset fc8284e22074af8154e9865c8391b955f13a308b by Julien Palard (Jean-Fran├žois B) in branch 'master':
bpo-35564: add master_doc='contents' to conf.py (GH-11290)
https://github.com/python/cpython/commit/fc8284e22074af8154e9865c8391b955f13a308b
msg338445 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-03-20 09:40
New changeset 756cfd88920c2349d4546024856c406409b0ab7b by Julien Palard in branch '3.7':
[3.7] bpo-35564: add master_doc='contents' to conf.py (GH-12460)
https://github.com/python/cpython/commit/756cfd88920c2349d4546024856c406409b0ab7b
msg338446 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2019-03-20 09:41
New changeset 07b8018d75f3d4495708cf1d4175f33b40e13d30 by Julien Palard in branch '2.7':
[2.7] bpo-35564: add master_doc='contents' to conf.py (GH-12462)
https://github.com/python/cpython/commit/07b8018d75f3d4495708cf1d4175f33b40e13d30
msg338485 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-03-20 15:41
New changeset 4508bc37dd80c71adfaa0925a67c438389817076 by Ned Deily (Julien Palard) in branch '3.6':
[3.6] bpo-35564: add master_doc='contents' to conf.py (GH-11290). (GH-12461)
https://github.com/python/cpython/commit/4508bc37dd80c71adfaa0925a67c438389817076
History
Date User Action Args
2019-03-20 15:41:40ned.deilysetnosy: + ned.deily
messages: + msg338485
2019-03-20 09:41:01mdksetmessages: + msg338446
2019-03-20 09:40:34mdksetmessages: + msg338445
2019-03-20 07:44:40mdksetpull_requests: + pull_request12415
2019-03-20 07:43:39mdksetpull_requests: + pull_request12414
2019-03-20 07:40:18mdksetpull_requests: + pull_request12413
2018-12-24 15:19:58mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-12-24 14:57:29mdksetmessages: + msg332461
2018-12-23 11:57:15jfbusetmessages: + msg332388
pull_requests: + pull_request10525
2018-12-23 11:53:56jfbusetpull_requests: - pull_request10524
2018-12-23 11:51:08jfbusetkeywords: + patch

stage: patch review
messages: + msg332387
pull_requests: + pull_request10524
2018-12-23 10:52:07xtreaksetnosy: + mdk
2018-12-22 21:29:58jfbucreate